window.Gleam.initSearch([{"doc":"gxyz","title":"gxyz","content":"# 🛒 gxyz\n\n[![Package Version](https://img.shields.io/hexpm/v/gxyz)](https://hex.pm/packages/gxyz)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gxyz/)\n\nA small library of helper functions, that works as a companion of [gleam_stdlib](https://hex.pm/packages/gleam_stdlib)\n\n```sh\ngleam add gxyz@1\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gxyz&gt;","url":"index.html"},{"doc":"gxyz/gxyz_function","title":"freeze","content":"pub fn freeze(value: a) -&gt; fn() -&gt; a\n freezes a value as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze\ngxyz/gxyz_function freeze","url":"gxyz/gxyz_function.html#freeze"},{"doc":"gxyz/gxyz_function","title":"freeze1","content":"pub fn freeze1(fun: fn(a) -&gt; b, arg1: a) -&gt; fn() -&gt; b\n freezes an arity 1 function and it&#39;s arg as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze1\ngxyz/gxyz_function freeze1","url":"gxyz/gxyz_function.html#freeze1"},{"doc":"gxyz/gxyz_function","title":"freeze2","content":"pub fn freeze2(fun: fn(a, b) -&gt; c, arg1: a, arg2: b) -&gt; fn() -&gt; c\n freezes an arity 2 function and it&#39;s args as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze2\ngxyz/gxyz_function freeze2","url":"gxyz/gxyz_function.html#freeze2"},{"doc":"gxyz/gxyz_function","title":"freeze3","content":"pub fn freeze3(\n  fun: fn(a, b, c) -&gt; d,\n  arg1: a,\n  arg2: b,\n  arg3: c,\n) -&gt; fn() -&gt; d\n freezes an arity 3 function and it&#39;s args as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze3\ngxyz/gxyz_function freeze3","url":"gxyz/gxyz_function.html#freeze3"},{"doc":"gxyz/gxyz_function","title":"freeze4","content":"pub fn freeze4(\n  fun: fn(a, b, c, d) -&gt; e,\n  arg1: a,\n  arg2: b,\n  arg3: c,\n  arg4: d,\n) -&gt; fn() -&gt; e\n freezes an arity 4 function and it&#39;s args as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze4\ngxyz/gxyz_function freeze4","url":"gxyz/gxyz_function.html#freeze4"},{"doc":"gxyz/gxyz_function","title":"freeze5","content":"pub fn freeze5(\n  fun: fn(a, b, c, d, e) -&gt; f,\n  arg1: a,\n  arg2: b,\n  arg3: c,\n  arg4: d,\n  arg5: e,\n) -&gt; fn() -&gt; f\n freezes an arity 5 function and it&#39;s args as an arity 0 function\nSynonyms:\ngxyz/gxyz_function.freeze5\ngxyz/gxyz_function freeze5","url":"gxyz/gxyz_function.html#freeze5"},{"doc":"gxyz/gxyz_function","title":"iff","content":"pub fn iff(condition: Bool, f: fn() -&gt; a, default: a) -&gt; a\n calls an arity 0 function if the condition is True, otherwise returns the default value \nSynonyms:\ngxyz/gxyz_function.iff\ngxyz/gxyz_function iff","url":"gxyz/gxyz_function.html#iff"},{"doc":"gxyz/gxyz_function","title":"iff_nil","content":"pub fn iff_nil(condition: Bool, f: fn() -&gt; Nil) -&gt; Nil\n calls an arity 0 function if the condition is True, and returns Nil\nSynonyms:\ngxyz/gxyz_function.iff_nil\ngxyz/gxyz_function iff_nil","url":"gxyz/gxyz_function.html#iff_nil"},{"doc":"gxyz/gxyz_function","title":"ignore_result","content":"pub fn ignore_result(\n  condition: Bool,\n  f: fn() -&gt; Result(a, b),\n) -&gt; Nil\n calls an arity 0 function if the condition is True, ignores the Result and returns Nil\nSynonyms:\ngxyz/gxyz_function.ignore_result\ngxyz/gxyz_function ignore_result","url":"gxyz/gxyz_function.html#ignore_result"},{"doc":"gxyz/gxyz_function","title":"gxyz/gxyz_function","content":"","url":"gxyz/gxyz_function.html"},{"doc":"gxyz/gxyz_list","title":"reject","content":"pub fn reject(l: List(a), rejecting: fn(a) -&gt; Bool) -&gt; List(a)\n removes elements from the list if the predicate returns True\nSynonyms:\ngxyz/gxyz_list.reject\ngxyz/gxyz_list reject","url":"gxyz/gxyz_list.html#reject"},{"doc":"gxyz/gxyz_list","title":"gxyz/gxyz_list","content":"","url":"gxyz/gxyz_list.html"},{"doc":"gxyz/gxyz_tuple","title":"at","content":"pub fn at(\n  tuple: a,\n  index: Int,\n  fun: fn(Dynamic) -&gt; Result(b, List(DecodeError)),\n) -&gt; Result(b, List(DecodeError))\n returns the value at index from the a tuple, using a dynamic.Decode function\nSynonyms:\ngxyz/gxyz_tuple.at\ngxyz/gxyz_tuple at","url":"gxyz/gxyz_tuple.html#at"},{"doc":"gxyz/gxyz_tuple","title":"gxyz/gxyz_tuple","content":"","url":"gxyz/gxyz_tuple.html"}]);